
PrefabFiles = {"shiro", "shiro_none"}

Assets = {

    Asset( "IMAGE", "images/saveslot_portraits/shiro.tex" ), 
    Asset( "ATLAS", "images/saveslot_portraits/shiro.xml" ), 

    Asset( "IMAGE", "images/selectscreen_portraits/shiro.tex" ), 
    Asset( "ATLAS", "images/selectscreen_portraits/shiro.xml" ), 
	
    Asset( "IMAGE", "images/selectscreen_portraits/shiro_silho.tex" ), 
    Asset( "ATLAS", "images/selectscreen_portraits/shiro_silho.xml" ), 

    Asset( "IMAGE", "bigportraits/shiro.tex" ), 
    Asset( "ATLAS", "bigportraits/shiro.xml" ), 
	
	Asset( "IMAGE", "images/map_icons/shiro.tex" ), 
	Asset( "ATLAS", "images/map_icons/shiro.xml" ), 
	
	Asset( "IMAGE", "images/avatars/avatar_shiro.tex" ), 
    Asset( "ATLAS", "images/avatars/avatar_shiro.xml" ), 
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_shiro.tex" ), 
    Asset( "ATLAS", "images/avatars/avatar_ghost_shiro.xml" ), 
	
	Asset( "IMAGE", "images/avatars/self_inspect_shiro.tex" ), 
    Asset( "ATLAS", "images/avatars/self_inspect_shiro.xml" ), 
	
	Asset( "IMAGE", "images/names_shiro.tex" ), 
    Asset( "ATLAS", "images/names_shiro.xml" ), 
	
    Asset( "IMAGE", "bigportraits/shiro_none.tex" ), 
    Asset( "ATLAS", "bigportraits/shiro_none.xml" ), 

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

STRINGS.CHARACTER_TITLES.shiro = "The Queen of Elchea"
STRINGS.CHARACTER_NAMES.shiro = "Shiro"
STRINGS.CHARACTER_DESCRIPTIONS.shiro = "*Level Up!\n*Genius\n*Cuteness Overload"
STRINGS.CHARACTER_QUOTES.shiro = "\"The real world is just... a crappy game.\""

STRINGS.CHARACTERS.SHIRO = require "speech_shiro"

STRINGS.NAMES.SHIRO = "Shiro"

AddMinimapAtlas("images/map_icons/shiro.xml")

AddModCharacter("shiro", "FEMALE")

--Current Mod Version: [1.0.7]
--Current Mod Build: [10714012017]

--DST Character Mod Author: Senshimi [https://steamcommunity.com/id/Senshimi/]
--Community Project Collection: STEAM [http://steamcommunity.com/workshop/filedetails/?id=833197968]
--Touhou Project Collection: STEAM [http://steamcommunity.com/sharedfiles/filedetails/?id=701414094]
